Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004043 [DCSS] Documentation text always 2011-05-24 23:08 2014-05-27 17:23
Reporter XuaXua View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.8 ancient branch
Summary 0004043: Document Text Colors
Description From here: https://crawl.develz.org/tavern/viewtopic.php?f=8&t=1716 [^]

Consolidation and cleanup for future documentation

Dark Grey : item is unusable or inapplicable to character
Light Grey : item is unidentified or is standard identified item
Dark Green : item is unidentified and uncursed and possibly magical
Blue : item is unidentified and possibly branded and magical
Bright Green : item is uncursed and wielded/worn
Red : item is unidentified and cursed or bad to use or is discouraged by god
Bright Red : item is cursed and wielded/worn
White : item is a unique artifact
Purple : item is potentially dangerous to use (emits warning prior to use)
Yellow : item is beneficial
Cyan / Light Blue : item is highly beneficial

PLEASE CORRECT / COMMENT
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0013278)
XuaXua (reporter)
2011-05-26 19:19

I cleaned up the text, standardized and re-ordered.

Blue : item is unidentified and potentially branded/magical
Dark Green : item is uncursed, unidentified and potentially branded/magical
Light Grey : item is either uncursed and unidentified or is identified
Dark Grey : item is unusable or inapplicable for character type
Red : item is either cursed and unidentified or is dangerous or is discouraged by religion
Bright Green : item is uncursed and wielded/worn
Bright Red : item is cursed and wielded/worn
White : item is an artifact
Purple : item is potentially dangerous (emits warning prior to use)
Yellow : item is beneficial
Cyan / Light Blue : item is extremely beneficial
(0013279)
XuaXua (reporter)
2011-05-26 19:24

Revised again and added complete text:

The color of an item in inventory enhances the item's description as follows:

Blue : unidentified and potentially branded
Green : uncursed and unidentified and potentially branded
Grey : either uncursed and unidentified or identified
Dark Grey : not unusable or inapplicable for character
Red : either cursed and unidentified or harmful or discouraged by religion
Bright Green : uncursed and wielded / worn / quivered
Bright Red : cursed and wielded / worn / quivered
White : artifact
Purple : potentially dangerous (will warn player on use attempt)
Yellow : beneficial
Cyan / Light Blue : extremely beneficial or rare
(0013281)
XuaXua (reporter)
2011-05-26 20:18

The color of an item in inventory enhances the item's description as follows:

Blue : unidentified and either potentially branded or runed/glowing
Green : uncursed and unidentified and either potentially branded or runed/glowing
Grey : either uncursed and unidentified or identified
Dark Grey : not unusable or inapplicable for character
Red : either cursed and unidentified or harmful or discouraged by religion
Bright Green : uncursed and wielded / worn / quivered
Bright Red : cursed and wielded / worn / quivered
White : artifact
Purple : potentially dangerous (will warn player on use attempt)
Yellow : beneficial
Cyan / Light Blue : extremely beneficial or rare
(0013309)
XuaXua (reporter)
2011-05-29 05:18

Further discussion on dev wiki here:

https://crawl.develz.org/wiki/doku.php?id=dcss:brainstorm:item:classification#descriptive_item_colors [^]
(0013339)
XuaXua (reporter)
2011-05-31 21:31

Saw 2 posts in the tavern requesting this information in last 48 hours.

Also added text to wiki regarding spells, but needs expansion.
(0013342)
XuaXua (reporter)
2011-05-31 22:54

Note that RUNES, which don't do anything, are Purple, when they should probably be White.
(0026227)
wheals (administrator)
2014-05-20 04:16

Put in init.txt, where it was already done for food.
(0026288)
XuaXua (reporter)
2014-05-27 17:23

I don't know what that means, but ok ?

- Issue History
Date Modified Username Field Change
2011-05-24 23:08 XuaXua New Issue
2011-05-26 19:19 XuaXua Note Added: 0013278
2011-05-26 19:24 XuaXua Note Added: 0013279
2011-05-26 20:18 XuaXua Note Added: 0013281
2011-05-29 05:18 XuaXua Note Added: 0013309
2011-05-31 21:31 XuaXua Note Added: 0013339
2011-05-31 22:54 XuaXua Note Added: 0013342
2014-05-20 04:16 wheals Note Added: 0026227
2014-05-20 04:16 wheals Status new => resolved
2014-05-20 04:16 wheals Fixed in Branch => 0.15 development branch
2014-05-20 04:16 wheals Resolution open => done
2014-05-20 04:16 wheals Assigned To => wheals
2014-05-27 17:23 XuaXua Note Added: 0026288
2014-05-27 17:23 XuaXua Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker